Name:		rfsysv
Version:	1.0
Release:	24.7%{?dist}
License: 	GPL
Summary:	Red Flag Service Configuration Tool
Group:		Applications/System
Source: 	rfsysv-%{version}.tar.gz
Source1:	rfsysv_manual_ja_JP.html
Source2:	rfsysv_manual_ja_JP.xml
Source3:	rfsysv_ja.ts
Source4:	rfsysv_ja.qm
Source5:        rfsysv_manual_ko_KR.html
Source6:        rfsysv_manual_ko_KR.xml
BuildRoot:	%{_tmppath}/%{name}-buildroot
Patch0:         rfsysv-1.0-services.xml.patch
Patch1:         rfsysv-1.0-desktop-authority.patch
Patch2:         rfsysv-1.0-startmode.patch
Patch3:         rfsysv-1.0-Japanese-manual.patch
Patch4:		rfsysv-1.0-iiim-rpcidmapd-oppd.patch
Patch5:         rfsysv-Korean-manual.patch

%description
rfsysv is a commercial software developed by Redflag Software
Corporation.  rfsysv lets a system administrator configure init system
services (instead of directly manipulating the numerous symbolic links
in /etc/rc.d).

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
unset QTDIR && . /etc/profile.d/qt.sh
%ifarch x86_64 ppc64
export suffix=64
%else
export suffix=""
%endif
(cd service; make)
make

%install

INSTALL="/usr/bin/install"

unset QTDIR && . /etc/profile.d/qt.sh

datadir=$RPM_BUILD_ROOT/usr/share/%{name}
libdir=$RPM_BUILD_ROOT/usr/lib/rfmin/lib
incdir=$RPM_BUILD_ROOT/usr/lib/rfmin/include/%{name}

# create all directories
$INSTALL -d $datadir/doc/en
$INSTALL -d $libdir
$INSTALL -d $incdir
$INSTALL -d $RPM_BUILD_ROOT/usr/bin

# install lib
$INSTALL -m 755 service/librfservice.so.1.0.0 $libdir
$INSTALL -m 644 service/*.h $incdir

# install bin
$INSTALL -m 755 %{name} $RPM_BUILD_ROOT/usr/bin/
$INSTALL -m 644 %{name}_zh_CN.qm %{name}_zh_TW.qm %{name}_ko.qm %{name}_ja.qm qtstuff_ko.qm qtstuff_zh_TW.qm qtstuff_zh_CN.qm $datadir
$INSTALL -m 644 services.xml $datadir
$INSTALL -m 644 %{SOURCE4} $datadir
# install doc (Chinese Manual)
$INSTALL -m 644 doc/%{name}_manual_zh_CN.xml $datadir/doc/
$INSTALL -m 644 doc/%{name}_manual_zh_CN.html $datadir/doc/
$INSTALL -m 644 doc/%{name}_manual_zh_TW.xml $datadir/doc/
$INSTALL -m 644 doc/%{name}_manual_zh_TW.html $datadir/doc/
$INSTALL -m 644 doc/*.jpg $datadir/doc/
$INSTALL -m 644 doc/index $datadir/doc/
$INSTALL -m 644 doc/index.cache $datadir/doc/

# English Manual
$INSTALL -m 644 doc/en/%{name}_manual.xml $datadir/doc/en/
$INSTALL -m 644 doc/en/%{name}_manual.html $datadir/doc/en/
$INSTALL -m 644 doc/index $datadir/doc/en/
$INSTALL -m 644 doc/index.cache $datadir/doc/en/

# Japanese Manual
$INSTALL -m 644 %{SOURCE1} $datadir/doc/
$INSTALL -m 644 %{SOURCE2} $datadir/doc/

# install .desktop
$INSTALL -D -m 644 %{name}.desktop $RPM_BUILD_ROOT/usr/share/applnk/Settings/%{name}.desktop

# install main icon
$INSTALL -D -m 644 %{name}.xpm $RPM_BUILD_ROOT/usr/share/pixmaps/%{name}.xpm

mkdir -p $RPM_BUILD_ROOT/etc/sysconfig/khwtree/GroupSys/
cp $RPM_BUILD_ROOT/usr/share/applnk/Settings/%{name}.desktop $RPM_BUILD_ROOT/etc/sysconfig/khwtree/GroupSys/
cp %{SOURCE5} $RPM_BUILD_ROOT/usr/share/rfsysv/doc
cp %{SOURCE6} $RPM_BUILD_ROOT/usr/share/rfsysv/doc

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/%{name}-%{version}

%post
ln -fs /usr/lib/rfmin/lib/librfservice.so.1.0.0 /usr/lib/librfservice.so
ln -fs /usr/lib/rfmin/lib/librfservice.so.1.0.0 /usr/lib/librfservice.so.1
ln -fs /usr/lib/rfmin/lib/librfservice.so.1.0.0 /usr/lib/librfservice.so.1.0

#if [ -x /usr/bin/ctrlpanel ];then
#    /usr/bin/ctrlpanel -g GroupSys -i /usr/share/applnk/Settings/rfsysv.desktop
#fi
chmod 700 /usr/bin/rfsysv

%preun
#if [ -x /usr/bin/ctrlpanel ];then
#    /usr/bin/ctrlpanel -g GroupSys -u rfsysv
#fi

%files
/etc/sysconfig/khwtree/GroupSys/%{name}.desktop
/usr/bin/rfsysv
/usr/share/rfsysv/rfsysv_zh_CN.qm
/usr/share/rfsysv/qtstuff_ko.qm
/usr/share/rfsysv/qtstuff_zh_CN.qm
/usr/share/rfsysv/rfsysv_zh_TW.qm
/usr/share/rfsysv/qtstuff_zh_TW.qm
/usr/share/rfsysv/rfsysv_ja.qm
/usr/share/rfsysv/rfsysv_ko.qm
/usr/share/rfsysv/services.xml
/usr/share/applnk/Settings/rfsysv.desktop
/usr/share/rfsysv/doc/rfsysv_manual_zh_CN.xml
/usr/share/rfsysv/doc/rfsysv_manual_zh_CN.html
/usr/share/rfsysv/doc/rfsysv_manual_zh_TW.xml
/usr/share/rfsysv/doc/rfsysv_manual_zh_TW.html
/usr/share/rfsysv/doc/rfsysv_manual_ja_JP.xml
/usr/share/rfsysv/doc/rfsysv_manual_ja_JP.html
/usr/share/rfsysv/doc/rfsysv_manual_ko_KR.xml
/usr/share/rfsysv/doc/rfsysv_manual_ko_KR.html
/usr/share/rfsysv/doc/index
/usr/share/rfsysv/doc/index.cache
/usr/share/rfsysv/doc/rfsysv_main.jpg
/usr/share/rfsysv/doc/rfsysv_properties.jpg
/usr/share/rfsysv/doc/rfsysv_prop_script.jpg
/usr/share/rfsysv/doc/rfsysv_runsrv.jpg
/usr/share/rfsysv/doc/rfsysv_popupmenu.jpg
/usr/share/rfsysv/doc/rfsysv_prop_runlevel.jpg
/usr/share/rfsysv/doc/rfsysv_runlevel.jpg
/usr/share/rfsysv/doc/en/rfsysv_manual.xml
/usr/share/rfsysv/doc/en/rfsysv_manual.html
/usr/share/rfsysv/doc/en/index
/usr/share/rfsysv/doc/en/index.cache
/usr/lib/rfmin/lib/librfservice.so.1.0.0
/usr/lib/rfmin/include/rfsysv/service.h
/usr/lib/rfmin/include/rfsysv/srvxml.h
/usr/share/pixmaps/rfsysv.xpm

%changelog
* Thu Nov 19 2009 Zhao Min <zhaomin@redflag-linux.com> 1.0-24.7%{?dist}
- modify patch0 to make rpcidmapd display right status(AX2 bug#7062)

* Thu Nov 05 2009 Namkung Sungmin <sm@haansoft.com> 1.0-24.6%{?dist}
- Add Korean manual (AXBug#7154)

* Wed Oct 28 2009 Zhao Min <zhaomin@redflag-linux.com> 1.0-24.5%{?dist}
- make iiim and rpcidmapd service display correctly in rfsysv (AX2 bug#7062)
- make the rfsysv work normally as oppd stop (AX2 bug#7063)
- make /usr/bin/rfsysv be 700 (AX2 bug#5453)

* Tue Oct 27 2009 Mika Kamei <mkamei@miraclelinux.com> 1.0-24.4%{?dist}
- add Japanese manual (Source1, 2, Patch3, AXBug#7179)

* Fri Dec 12 2008 Zhao Min <zhaomin@redflag-linux.com> 1.0-24.3%{?dist}
- fix bug 5585,make user know what the program will clearly.

* Tue Nov 25 2008 Hua Jie <jiehua@redflag-linux.com> 1.0-24.2%{?dist}
- remove Vendor and Packager

* Thu Feb 27 2007 Liu Xiao <xiaoliu@redflag-linux.com> 1.0.24.1AX
- change Desktop can be used other than root with authority
- add some translations for Chinese

* Thu Jul 14 2005 Wang Siyuan <sywang@redflag-linux.com> 1.0.24
- modify spec for ppc64

* Tue Jun 07 2005 Zou Pengcheng <pczou@redflag-linux.com> 1.0.23
- change WAIT cursor back once finished running service scripts. (AX2 bug#562)

* Mon Jun  6 2005 Wang Siyuan <sywang@redflag-linux.com> 1.0.22
- add big5 help support. 

* Mon May 16 2005 Wang Siyuan <sywang@redflag-linux.com> 1.0.21
- add korea language support. 

* Tue May 12 2005 Wang Siyuan <sywang@redflag-linux.com> 1.0.20
- add zh_TW support. 

* Mon Dec 06 2004 Zou Pengcheng <pczou@redflag-linux.com>
- remove the 1.0.18 fix, it's stupid to run 'status' for every service. 

* Wed Dec 01 2004 Zou Pengcheng <pczou@redflag-linux.com> 1.0.18
- fix status checking, simply check the existance of lock file is not enough.

* Mon Jul 19 2004 Zou Pengcheng <pczou@redflag-linux.com> 1.0.17
- IA64 port

* Thu May 8 2004 Pengcheng Zou <pczou@redflag-linux.com> 1.0.16
- make .spec looks more professional 

